# Pomeri lastnosti vezja

heads={
  'opus': {
    'simulator': 'SpiceOpus', 
	'settings': { 'debug': 0 }, 
	'moddefs': {
	  'def': { 'file': 'ojacevalnik.cir' }, 
	  'test': { 'file': 'testno.cir' }, 
	  'model': { 'file': 'cmos180n.lib', 'section': 'tm' }
	}
  }
}

analyses={
  'dc1': {
    'head': 'opus', 
	'modules': [ 'def', 'test' ], 
	'command': 'dc(-1.2, 1.2, "lin", 100, "vin", "dc")'
  }, 
  'ac1': {
    'head': 'opus', 
	'modules': [ 'def', 'test' ], 
	'command': 'ac(1, 1e9, "dec", 10)'
  }
}

corners={
  'nom': {
    'modules': [ 'model' ], 
	'params': {
	  'temperature': 25, 
	  'vdd': 1.8
	}
  }, 
  'tlo': {
    'modules': [ 'model' ], 
	'params': {
	  'temperature': -50, 
	  'vdd': 1.8
	}
  }, 
  'vddlo': {
    'modules': [ 'model' ], 
	'params': {
	  'temperature': 25, 
	  'vdd': 1.6
	}
  }
}

measures = {
  'swing': {
    'analysis': 'dc1', 
    'corners': [ 'nom', 'tlo', 'vddlo' ], 
    'expression': 'm.DCswingAtGain(v("out"), v("p", "n"), 0.5, "out")'
  },
  'gain': {
    'analysis': 'ac1', 
    'corners': [ 'nom', 'tlo', 'vddlo' ], 
    'expression': 'm.ACgain(m.ACtf(v("out"), v("p", "n")))'
  }, 
  'bw': {
    'analysis': 'ac1', 
    'corners': [ 'nom', 'tlo', 'vddlo' ], 
    'expression': 'm.ACbandwidth(m.ACtf(v("out"), v("p", "n")), scale())'
  }, 
  'pm': {
    'analysis': 'ac1', 
    'corners': [ 'nom', 'tlo', 'vddlo' ], 
    'expression': 'm.ACphaseMargin(m.ACtf(v("out"), v("p", "n")))'
  }
}

from pyopus.evaluator.performance import PerformanceEvaluator

pe=PerformanceEvaluator(heads, analyses, corners, measures, debug=0)
pe([])
print(pe.formatResults())

pe.finalize()
